System.Core 3.5.0.0 4.0.0.0 System.ValueType System.Collections.Generic.IEnumerator<T>

The class provides high-performance set operations. A set is a collection that contains no duplicate elements, and whose elements are in no particular order.

The capacity of a object is the number of elements that the object can hold. A object's capacity automatically increases as elements are added to the object.

For very large objects, you can increase the maximum capacity to 2 billion elements on a 64-bit system by setting the enabled attribute of the gcAllowVeryLargeObjects configuration element to true in the run-time environment.

Starting with the net_v40_long, the class implements the interface.

Represents a set of values.

- Property
  3.5.0.0
  4.0.0.0
  T To be added. To be added. To be added.
- Method
  3.5.0.0
  4.0.0.0
  System.Void To be added. To be added.
- Method
  3.5.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  3.5.0.0
  4.0.0.0
  System.Object To be added. To be added. To be added.
- Method
  3.5.0.0
  4.0.0.0
  System.Void To be added. To be added.